#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           aura-browser
Summary:        Browser for a fully immersed Big Screen experience
Version: 5.27.9
Release:        %mkrel %{rel}
Group:          System/Configuration
License:        GPLv2
URL:            https://projects.kde.org/projects/extragear/base/kscreen
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

Patch0:         aura-browser-5.27.0-fix-desktopfile.patch

BuildRequires:  kf5-rpm-macros


BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5WebEngine)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(Qt5Multimedia)

BuildRequires:  cmake(KF5Kirigami2)
BuildRequires:  cmake(KF5I18n)

BuildRequires:  cmake(KF5I18n)

%description
Browser for a fully immersed Big Screen experience allowing
you to navigate the world wide web using just your remote control.

%files -f %name.lang
%_kf5_bindir/aura-browser
%_kf5_applicationsdir/org.kde.aura-browser.desktop
%_kf5_iconsdir/hicolor/*/apps/aura-browser.png
%_kf5_metainfodir/org.kde.invent.aura_browser.metainfo.xml

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Wed Oct 25 2023 daviddavid <daviddavid> 5.27.9-1.mga10
+ Revision: 2001090
- New version 5.27.9

* Wed Sep 20 2023 daviddavid <daviddavid> 5.27.8-1.mga10
+ Revision: 1988218
- New version 5.27.8

* Fri May 26 2023 neoclust <neoclust> 5.27.5-1.mga9
+ Revision: 1958021
- New version 5.27.5

* Mon Apr 10 2023 neoclust <neoclust> 5.27.4-1.mga9
+ Revision: 1951933
- New version 5.27.4

* Wed Mar 15 2023 neoclust <neoclust> 5.27.3-1.mga9
+ Revision: 1949059
- New version 5.27.3

* Tue Feb 28 2023 neoclust <neoclust> 5.27.2-1.mga9
+ Revision: 1945765
- New version 5.27.2

* Wed Feb 22 2023 daviddavid <daviddavid> 5.27.1-1.mga9
+ Revision: 1944778
- New version 5.27.1

* Tue Feb 14 2023 neoclust <neoclust> 5.27.0-1.mga9
+ Revision: 1942045
- New version 5.27.0

* Tue Jan 24 2023 neoclust <neoclust> 5.26.90-1.mga9
+ Revision: 1935922
- New version 5.26.90

* Thu Jan 05 2023 daviddavid <daviddavid> 5.26.5-1.mga9
+ Revision: 1930043
- New version 5.26.5

* Thu Dec 15 2022 neoclust <neoclust> 5.26.4-1.mga9
+ Revision: 1923474
- New version 5.26.4

* Tue Nov 15 2022 neoclust <neoclust> 5.26.3-1.mga9
+ Revision: 1907514
- New version 5.26.3
- New version 5.26.2

* Fri Sep 16 2022 neoclust <neoclust> 5.25.90-1.mga9
+ Revision: 1889460
- imported package aura-browser

